<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>

	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">

	<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,700;1,800;1,900&display=swap" rel="stylesheet">

	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	<link rel="preconnect" href="https://fonts.gstatic.com"> 
	<link href="https://fonts.googleapis.com/css2?family=Allerta&display=swap" rel="stylesheet">

	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css
	" rel="stylesheet">


	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/home1.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/teampopup.css">

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/swiper.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.0.min.js"></script>


<script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.5/gsap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.11.5/ScrollTrigger.min.js"></script>
	
 	<script type="text/javascript">

		$(document).ready(function(){

			$(".phone-box i.fa-phone").click(function(){

				$(".phone-box a.h-phone").toggle();

			});

		});

	 </script>

	  	<script type="text/javascript">

		$(document).ready(function(){

			$(".phone-box i.fa-envelope-o").click(function(){

				$(".phone-box a.h-email").toggle();

			});

		});

	 </script>

	 	  	<script type="text/javascript">

		$(document).ready(function(){

			$(".mob-socials i.fa.fa-share-alt").click(function(){

				$(".mob-socials .soc").toggle();

			});

		});

	 </script>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead -->


		<?php if(get_theme_mod('peccular_header_style', 'On Slider') == 'On Slider' ){ ?>

			<header class="site-header header-transparent header mo-left header-seo" style="position:absolute;">
				<div class="header-overlay"></div>
				<div class="header-bg">
					<!-- <div class="menu-top-bx"> -->
						<div class="mainbottom-header top-bar-head bottom-header <?php echo esc_attr(bakerystore_sticky_menu()); ?>" style="border-radius: 0px;">
							
							<div class="row m-0 contact-box">
								<div class="col-xl-5 offset-xl-5 col-lg-5 offset-lg-5 col-md-7 offset-md-3 col-sm-10 offset-sm-0 contact-box-header">
									<?php 

									$phoneTaglineNumber = get_theme_mod('phoneTaglineNumber', '(+1) 88 700 600');	
									?>
									<?php 

									$mailbox = get_theme_mod('mailbox', 'info@example.com');	
									?>
									<?php if($mailbox || $mailbox){ ?>
									<li>
										<a class="text-break" href="mailto:<?php echo $mailbox;?>"><i class="fa fa-envelope"></i><?php echo ($mailbox);  ?></a>
									</li>
									<?php }?>
									<?php if($phoneTaglineNumber || $phoneTaglineNumber){ ?>
									<li>
										<a class="text-break" href="tel:<?php echo $phoneTaglineNumber;?>"><i class="fa fa-phone"></i><?php echo ($phoneTaglineNumber);  ?></a>
									</li> 
									<?php }?>
								</div>
								<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 text-center pull-right">
									<?php
									$facebook = get_theme_mod('ip_header_facebook', '//facebook.com/');
									$twitter = get_theme_mod('ip_header_twitter', '//twitter.com/');
									$instagram = get_theme_mod('ip_header_instagram', 'https://www.instagram.com/');

									?>
									<?php if(!empty($facebook)){ ?>
										<li class="list-inline-item">
											<a href="<?php echo $facebook ?>" title="Facebook" class="ip-btn-cl sharp" target="_blank"><i class="fa fa-facebook"></i></a>
										</li>
									<?php }?>
									<?php if(!empty($twitter)){ ?>
										<li class="list-inline-item">
											<a href="<?php echo $twitter ?>" title="Twitter" class="ip-btn-cl sharp" target="_blank"><i class="fa-brands fa-x-twitter"></i>
											</a>
										</li>
									<?php }?>
									<?php if(!empty($instagram)){ ?>
										<li class="list-inline-item"><a href="<?php echo $instagram ?>" title="instagram" class="ip-btn-cl sharp" target="_blank"><i class="fa fa-instagram"></i></a></li>
									<?php }?>										
								</div>
							</div>

	<div class="maintop-header phone-box show--in-mob">

		<div class="row ">

				<?php if($phoneTaglineNumber){ ?>

					<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 pd-0 headphone">							

						<i class="fa fa-phone" aria-hidden="true"></i><a class="h-phone" href="telto:<?php echo $phoneTaglineNumber;?>"><?php echo $phoneTaglineNumber ;?></a>									

					</div>

					<?php }?>

						<?php if($mailbox){ ?>

					<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 pd-0 heademail">							

						<i class="fa fa-envelope-o" aria-hidden="true"></i><a class="h-email" href="mailto:<?php echo $mailbox;?>"><?php echo $mailbox ;?></a>	

					</div>

					<?php }?>	

<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12 socials mob-socials pd-0">

							<i class="fa fa-share-alt"></i>

							<?php

							$facebook = get_theme_mod('peccular_header_fb', '//facebook.com/');

							$twitter = get_theme_mod('peccular_header_tw', '//twitter.com/');	

							$instagram = get_theme_mod('peccular_header_instagram', '//instagram.com/');			

							$pinterest = get_theme_mod('peccular_header_pinterest', 'https://www.pinterest.com');

							?>

								<div class="soc">

									<?php if(!empty($facebook)){ ?>

										<a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a>

									<?php }?>

									<?php if(!empty($twitter)){ ?>

										<a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter"></i></a>

									<?php }?>

									<?php if(!empty($pinterest)){ ?>

										<a href="<?php echo $pinterest ?>" title="Pinterest" class="site-button sharp" target="_blank"><i class="fa fa-pinterest"></i></a>

									<?php }?>

									<?php if(!empty($instagram)){ ?>

										<a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a>

									<?php }?>									

								</div>

						</div><!--social icon -->	

		</div>

					</div>



							<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">


								<div class="row m-0">
									<div class="col-xl-3 col-lg-3 col-md-5 col-sm-5 col-xs-12 desktop-woo-head">
										<?php 
										if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
											$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
										}
										if( get_theme_mod('pages_logoheight',true) ) {
											$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
										}
										if( get_theme_mod('pages_logoToppadding',true) ) {
											$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
										}
										if( get_theme_mod('pages_logobottompadding',true) ) {
											$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
										}
										if( get_theme_mod('pages_logoTopmargin',true) ) {
											$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
										}
										if( get_theme_mod('pages_logobottommargin',true) ) {
											$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
										}
										?>
										<!-- website logo -->
										<div class="logo-header">
											<?php 
											if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
												the_custom_logo();
										else : 
											if ( is_front_page() ) : ?>
												<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
													<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
												<?php endif; ?>
											<?php else : ?>
												<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
											<?php endif; ?>
										<?php endif; ?> 
										<?php if (get_theme_mod('peccular_show_tagline',false)) {?>
											<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
										<?php }?>
									</div>
								</div>
								<div class="col-xl-7 offset-xl-1 col-lg-6 offset-lg-2 col-md-5 col-sm-5 col-xs-12 p-0">
									
									<div class="menu-top-bx"> 
										<!-- 	<div class="<?php //if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php //} elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid <?php //}?>"> -->
											<div class="head-menu">
												<?php
												if( get_theme_mod('menu_fontsize',true) ) {
													$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
												}
												if( get_theme_mod('dropdown_menu_fontsize',true) ) {
													$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
												}
												?>
												<div class="site-navigation">
													<div class="hamburger-menus">
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
													</div>
													<nav class="navigation">
														<div class="overlaybg"></div><!--  /.overlaybg -->
														<!-- Main Menu -->
														<div class="menu-wrapper">
															<div class="menu-content">
																<?php
																if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
																	wp_nav_menu ( array(
																		'menu_class' => 'mainmenu ht-clearfix',
																		'container'=> 'ul',
																		'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
																		'theme_location' => 'primary',  
																	)); 
																} else {
																	wp_nav_menu ( array(
																		'menu_class' => 'mainmenu ht-clearfix',
																		'container'=> 'ul',
																		'theme_location' => 'primary',  
																	)); 
																}
																?>
															</div> <!-- /.hours-content-->
															<div class="clearfix"></div>
														</div><!-- /.menu-wrapper --> 
														<div class="clearfix"></div>    
													</nav>	
												</div><!--  /.site-navigation -->		
												<div class="clearfix"></div>
											</div><!-- sticky header -->
											<!-- </div> -->
										</div>
									</div>
									<div class="col-xl-1 col-lg-1 col-md-2 col-sm-2 col-xs-12 header-woo-cart">
										<?php
										$myaccount = get_theme_mod('Peccular_header_myaccount', 'add myaccount page link here');

										?>
										
										<div class="total-count">				
											<?php if(function_exists ('wc_get_cart_url')){?>				
												<li><a href="<?php echo wc_get_cart_url();?>" class=""><i class="fa fa-shopping-cart"></i></a></li> 													<div class="count"><?php global $woocommerce; ?> <?php echo WC()->cart->get_cart_contents_count(); ?> 

												</div> 

												<li><a href="<?php echo $myaccount ?>" title="myaccount"><i class="fa fa-user"></i></a></li>
											<?php }?>

										</div>
									</div>
								</div>
							</div>
							<div class="clearfix"></div>
						</div>
						<div class="clearfix"></div>
					</div>  <!--row close-->
					<!-- </div> -->
					<!--end main top header-->	
					<div class="clearfix"></div>
					<!-- 	</div> -->
				</header>
				<script>
					var light = $('.light');

					$('.menu-top-bx').on('mousemove', function(e){
						$(light).addClass('on');
						$(light).css({
							left: e.pageX - light.width()/2,
							top: e.pageY - light.height()/2,
						});
					});

					$('.menu-top-bx').on('mouseout', function(){
						$(light).removeClass('on');
					});
				</script>
				<script>
					var light = $('.light');

					$('.total-count').on('mousemove', function(e){
						$(light).addClass('on');
						$(light).css({
							left: e.pageX - light.width()/2,
							top: e.pageY - light.height()/2,
						});
					});

					$('.total-count').on('mouseout', function(){
						$(light).removeClass('on');
					});
				</script>
			<?php } elseif(get_theme_mod('peccular_header_style', 'Above Slider') == 'Above Slider' ){ ?>

				<header class="site-header header-transparent header mo-left header-seo bg-full-bg" style="position:relative;">
<div class="header-overlay"></div>
				<div class="header-bg">
					<!-- <div class="menu-top-bx"> -->
						<div class="mainbottom-header top-bar-head bottom-header <?php echo esc_attr(bakerystore_sticky_menu()); ?>" style="border-radius: 0px;">
							
							<div class="row m-0 contact-box">
								<div class="col-xl-5 offset-xl-5 col-lg-5 offset-lg-5 col-md-7 offset-md-3 col-sm-10 offset-sm-0 contact-box-header">
									<?php 

									$phoneTaglineNumber = get_theme_mod('phoneTaglineNumber', '(+1) 88 700 600');	
									?>
									<?php 

									$mailbox = get_theme_mod('mailbox', 'info@example.com');	
									?>
									<li>
										<a class="text-break" href="mailto:<?php echo $mailbox;?>"><i class="fa fa-envelope"></i><?php echo ($mailbox);  ?></a>
									</li>
									<li>
										
										<a class="text-break" href="tel:<?php echo $phoneTaglineNumber;?>"><i class="fa fa-phone"></i><?php echo ($phoneTaglineNumber);  ?></a>
									</li>
									
								</div>
								<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 text-center pull-right">
									<?php
									$facebook = get_theme_mod('ip_header_facebook', '//facebook.com/');
									$twitter = get_theme_mod('ip_header_twitter', '//twitter.com/');
									$instagram = get_theme_mod('ip_header_instagram', 'https://www.instagram.com/');

									?>
									<?php if(!empty($facebook)){ ?>
										<li class="list-inline-item">
											<a href="<?php echo $facebook ?>" title="Facebook" class="ip-btn-cl sharp" target="_blank"><i class="fa fa-facebook"></i></a>
										</li>
									<?php }?>
									<?php if(!empty($twitter)){ ?>
										<li class="list-inline-item">
											<a href="<?php echo $twitter ?>" title="Twitter" class="ip-btn-cl sharp" target="_blank"><i class="fa fa-twitter"></i>
											</a>
										</li>
									<?php }?>
									<?php if(!empty($instagram)){ ?>
										<li class="list-inline-item"><a href="<?php echo $instagram ?>" title="instagram" class="ip-btn-cl sharp" target="_blank"><i class="fa fa-instagram"></i></a></li>
									<?php }?>										
								</div>
							</div>

							<div class="<?php if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">


								<div class="row m-0">
									<div class="col-xl-3 col-lg-3 col-md-5 col-sm-5 col-xs-12 desktop-woo-head">
										<?php 
										if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
											$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
										}
										if( get_theme_mod('pages_logoheight',true) ) {
											$pages_logoheight = 'height:'.esc_attr(get_theme_mod('pages_logoheight')).';';
										}
										if( get_theme_mod('pages_logoToppadding',true) ) {
											$pages_logoToppadding = 'padding-top:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
										}
										if( get_theme_mod('pages_logobottompadding',true) ) {
											$pages_logobottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
										}
										if( get_theme_mod('pages_logoTopmargin',true) ) {
											$pages_logoTopmargin = 'margin-top:'.esc_attr(get_theme_mod('pages_logoTopmargin')).';';
										}
										if( get_theme_mod('pages_logobottommargin',true) ) {
											$pages_logobottommargin = 'margin-bottom:'.esc_attr(get_theme_mod('pages_logobottommargin')).';';
										}
										?>
										<!-- website logo -->
										<div class="logo-header">
											<?php 
											if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
												the_custom_logo();
										else : 
											if ( is_front_page() ) : ?>
												<?php if (get_theme_mod('peccular_show_site_title',true)) : ?>
													<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
												<?php endif; ?>
											<?php else : ?>
												<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
											<?php endif; ?>
										<?php endif; ?> 
										<?php if (get_theme_mod('peccular_show_tagline',false)) {?>
											<p class="ht-site-description"><?php bloginfo( 'description' ); ?></p>
										<?php }?>
									</div>
								</div>
								<div class="col-xl-5 offset-xl-3 col-lg-6 offset-lg-2 col-md-5 col-sm-5 col-xs-12 p-0">
									
									<div class="menu-top-bx"> 
										<!-- 	<div class="<?php //if(get_theme_mod('peccular_header_width','Box Width') == 'Box Width'){ ?>container <?php //} elseif(get_theme_mod('peccular_header_width','Box Width') == 'Full Width'){ ?> container-fluid <?php //}?>"> -->
											<div class="head-menu">
												<?php
												if( get_theme_mod('menu_fontsize',true) ) {
													$menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('menu_fontsize')).';';
												}
												if( get_theme_mod('dropdown_menu_fontsize',true) ) {
													$dropdown_menu_fontsize = 'font-size:'.esc_attr(get_theme_mod('dropdown_menu_fontsize')).';';
												}
												?>
												<div class="site-navigation">
													<div class="hamburger-menus">
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
														<span></span>
													</div>
													<nav class="navigation">
														<div class="overlaybg"></div><!--  /.overlaybg -->
														<!-- Main Menu -->
														<div class="menu-wrapper">
															<div class="menu-content">
																<?php
																if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
																	wp_nav_menu ( array(
																		'menu_class' => 'mainmenu ht-clearfix',
																		'container'=> 'ul',
																		'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
																		'theme_location' => 'primary',  
																	)); 
																} else {
																	wp_nav_menu ( array(
																		'menu_class' => 'mainmenu ht-clearfix',
																		'container'=> 'ul',
																		'theme_location' => 'primary',  
																	)); 
																}
																?>
															</div> <!-- /.hours-content-->
															<div class="clearfix"></div>
														</div><!-- /.menu-wrapper --> 
														<div class="clearfix"></div>    
													</nav>	
												</div><!--  /.site-navigation -->		
												<div class="clearfix"></div>
											</div><!-- sticky header -->
											<!-- </div> -->
										</div>
									</div>
									<div class="col-xl-1 col-lg-1 col-md-2 col-sm-2 col-xs-12 header-woo-cart">
										<?php
										$myaccount = get_theme_mod('Peccular_header_myaccount', 'add myaccount page link here');

										?>
										
										<div class="total-count">				
											<?php if(function_exists ('wc_get_cart_url')){?>				
												<li>		<a href="<?php echo wc_get_cart_url();?>" class=""><i class="fa fa-shopping-cart"></i></a></li>
												<li><a href="<?php echo $myaccount ?>" title="myaccount"><i class="fa fa-user"></i></a></li>
											<?php }?>

										</div>
									</div>
								</div>
							</div>
							<div class="clearfix"></div>
						</div>
						<div class="clearfix"></div>
					</div>  <!--row close-->
					<!-- </div> -->
					<!--end main top header-->	
					<div class="clearfix"></div>
					<!-- 	</div> -->
				</header>


			<?php }?>

		</div>
