<?php  
//Bottom Header
$wp_customize->add_section( 'peccular_footer_setting' , array(
    'title'    => __( 'Footer Setting', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel1'
) );

$wp_customize->add_setting('peccular_footer_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_footer_nav', array(
   'section' => 'peccular_footer_setting',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_footer_copyrighttext',
            'peccular_footerlist_icon',
            'peccular_footerimg1_section_lbl',
            'peccular_footerimg_image1',
            'peccular_footerimg_image2',
            'peccular_footerimg_image3',
            'peccular_footerimg_image4',
            'peccular_footerimg_image5',
            'peccular_footerimg_image6',
            'peccular_footerimg_image7'
            
        ),
         'active' => true,
     ),
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(                      
         'peccular_footer_section_bg_color',
         'peccular_footer_section_bg_image',
         'peccular_footer_image_opacity',
         'peccular_footer_box_align', 
         'peccular_footer_copyright_align',   
         'peccular_footer_onload_effects',  
         'peccular_footer_heading_color',
         'peccular_footer_text_color',
         'peccular_footer_icon_color',
         'peccular_footer_sicon_color',
         'peccular_footer_siconhover_color',
         'peccular_footer_siconbg_color',
         'peccular_footer_menu_color',
         'peccular_footer_menuIcon_color',
         'peccular_footer_menuIconbrss_color',
         'peccular_footer_activemenu_color',
         'peccular_footer_phoneemailtxt_color',                       
         'peccular_footer_phoneemailhv_color',
         'peccular_footer_bttmtext_color',
         'peccular_footer_siconbghv_color',
         'peccular_footer_phoneemailicon_color',
         'peccular_footer_phoneemailiconhv_color',
         'peccular_footer_phoneemailiconbg_color',
         'peccular_footer_phoneemailiconbghv_color',
         'peccular_footer_fotrbtmbrdr_color',
         'peccular_footer_formbg_color',
         'peccular_footer_formtext_color',
         'peccular_footer_formbtntext_color',
         'peccular_footer_topbtmborder_color',
         'peccular_footer_formbtnbg_color',
         'peccular_footer_formbtnhovertext_color',
         'peccular_footer_formbtnbghover_color',
         'peccular_footercopy_topbtmborder_color',
         'peccular_footer_widgettitlebrs_color',
         'peccular_footercopyhigh_topbtmborder_color',
         'peccular_footer_titlebrs_color', 
         'peccular_footer_Icncolor'
         
     ),  
    ),
      array(
        'name' => esc_html__('Layout', 'peccular-premium'),
        'icon' => 'dashicons dashicons-layout',
        'fields' => array(
            'peccular_footer_padding',
            'peccular_footer_section_top_t_padding',
            'peccular_footer_section_top_b_padding',
            'peccular_footer_padding1',
            'peccular_footer_section_bottom_t_padding',
            'peccular_footer_section_bottom_b_padding',     
            'peccular_footer_section_width'
        ),
    )
  ),
)));

$wp_customize->add_setting(
    'peccular_footer_copyrighttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '© 2023 <strong>LIGHTING SHOP</strong>.ALL RIGHTS RESERVED.', 'peccular' )
    )
); 
$wp_customize->add_control(
    'peccular_footer_copyrighttext',
    array(
        'settings'      => 'peccular_footer_copyrighttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'peccular' ),
         'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);

$wp_customize->add_setting('peccular_footerlist_icon',array(
    'default' => '\f061',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footerlist_icon',array(
    'type' => 'text',
    'label' => __('Menus Icon','peccular'),
    'section' => 'peccular_footer_setting',
));

$wp_customize->add_setting( 'peccular_footer_section_bg_color', array(
   'default' => '',
   'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_footer_section_bg_color', array(
    'label' => __('Background Color','peccular'),
    'section' => 'peccular_footer_setting',
)));

$wp_customize->add_setting( 'peccular_footer_section_bg_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_footer_section_bg_image', array(
    'label' => __('Section Background Image','peccular'),
    'section' => 'peccular_footer_setting',
)));

$wp_customize->add_setting('peccular_footer_image_opacity',array(
    'default' => 0,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_footer_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_footer_setting',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));

$wp_customize->add_setting('peccular_footer_onload_effects',array(
    'default' => 'zoom-in',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_onload_effects',array(
    'type' => 'select',
    'label' => __('Section Onload Transition Effects','peccular'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','peccular'),
        'wow bounceInRight' => __('Bounce In Right','peccular'),
        'wow bounceInUp' => __('Bounce In Up','peccular'),
        'wow bounceInDown' => __('Bounce In Down','peccular'),
        'wow zoomIn' => __('Zoom In','peccular'),
        'wow zoomOut' => __('Zoom Out','peccular'),
        'wow fadeInDown' => __('Fade In Down','peccular'),            
        'wow fadeInUp' => __('Fade In Up','peccular'),
        'wow fadeInLeft' => __('Fade In Left','peccular'),
        'wow fadeInRight' => __('Fade In Right','peccular'),
        'flip-up' => __('Flip Up','peccular'),
        'none' => __('None','peccular')
    ),
    'section' => 'peccular_footer_setting',
));

// $wp_customize->add_setting('peccular_footer_box_align',array(
//     'default' => 'Left',
//     'sanitize_callback' => 'peccular_sanitize_choices',
// ));
// $wp_customize->add_control('peccular_footer_box_align',array(
//     'type' => 'select',
//     'label' => __('Content Box Alignment','peccular'),
//     'choices' => array (
//         'Center' => __('Center','peccular'),
//         'Left' => __('Left','peccular'),
//         'Right' => __('Right','peccular')
//     ),
//     'section' => 'peccular_footer_setting',
// ));

$wp_customize->add_setting('peccular_footer_copyright_align',array(
    'default' => 'Center',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_copyright_align',array(
    'type' => 'select',
    'label' => __('Copyright Alignment','peccular'),
    'choices' => array (
        'Center' => __('Center','peccular'),
        'Left' => __('Left','peccular'),
        'Right' => __('Right','peccular')
    ),
    'section' => 'peccular_footer_setting',
));


addColorPalatOption($wp_customize, 'peccular_footer_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_text_color', 'peccular_footer_setting', 'Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_Icncolor', 'peccular_footer_setting', 'Icon Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_sicon_color', 'peccular_footer_setting', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconhover_color', 'peccular_footer_setting', 'Social Icon Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconbg_color', 'peccular_footer_setting', 'Social Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconbghv_color', 'peccular_footer_setting', 'Social Icon BG Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_menuIconbrss_color', 'peccular_footer_setting', 'Social Icon & Gallery Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_menu_color', 'peccular_footer_setting', 'Menu & Menu Icon Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_activemenu_color', 'peccular_footer_setting', 'Active Menu & Menu Hover Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_widgettitlebrs_color', 'peccular_footer_setting', 'Footer Widget Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_titlebrs_color', 'peccular_footer_setting', 'Footer Title Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_fotrbtmbrdr_color', 'peccular_footer_setting', 'Footer Bottom BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_formbg_color', 'peccular_footer_setting', 'Form BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formtext_color', 'peccular_footer_setting', 'Form Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtntext_color', 'peccular_footer_setting', 'Form Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtnbg_color', 'peccular_footer_setting', 'Form Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtnhovertext_color', 'peccular_footer_setting', 'Form Button Text Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtnbghover_color', 'peccular_footer_setting', 'Form Button BG Hover Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_topbtmborder_color', 'peccular_footer_setting', 'Footer Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_footercopy_topbtmborder_color', 'peccular_footer_setting', 'Copyright Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_footercopyhigh_topbtmborder_color', 'peccular_footer_setting', 'Copyright Highlight Text Color ', '');

$wp_customize->add_setting('peccular_footer_padding',array(
  'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_footer_padding',array(
  'label' => __('Top Footer Padding','peccular'),
  'section' => 'peccular_footer_setting'
));

$wp_customize->add_setting('peccular_footer_section_top_t_padding',array(
    'default' => '2.8',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
));
$wp_customize->add_setting('peccular_footer_section_top_b_padding',array(
    'default' => '1.5',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
));

$wp_customize->add_setting('peccular_footer_padding1',array(
  'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_footer_padding1',array(
  'label' => __('Bottom Footer Padding','peccular'),
  'section' => 'peccular_footer_setting'
));

$wp_customize->add_setting('peccular_footer_section_bottom_t_padding',array(
    'default' => '1.5',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
));
$wp_customize->add_setting('peccular_footer_section_bottom_b_padding',array(
    'default' => '1.5',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
));

$wp_customize->add_setting('peccular_footer_section_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_footer_section_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_footer_setting',
));
?>