<?php 
// /HEADER SETTINGS IN CUSTOMIZER
$lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
));

$wp_customize->add_panel( $lvl1ParentPanel );

$lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
));  

$wp_customize->add_panel( $lvl2ParentPanel );

  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
));

//Bottom Header
$wp_customize->add_section( 'peccular_header_section' , array(
    'title'    => __( 'All Settings', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel2'
) );

$wp_customize->add_setting('peccular_allsetting_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
   'section' => 'peccular_header_section',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_show_sticky_header',
            'peccular_header_style',
            'peccular_header_width',
            'mailbox',
            'phoneTaglineNumber',
            'ip_header_facebook',
            'ip_header_twitter',
            'ip_header_instagram',
            'peccular_headerslider_section_lbl',
            'Peccular_header_myaccount',
            'peccular_header_image_opacity'     
        ),
         'active' => true,
     ),
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(  
            'header_stickybgColor',
            'header_bgColor',
            'header_topbgColor',
            'header_SiteTitleColor',
            'header_CartCountColor',
            'header_CartCountbgColor',
            'header_CartIconColor',
            'header_bgColorone',
            'header_PhoneemailIconColor',
            'header_PhoneemailTextColor',
            'header_headsocialsColor',
            'header_SiteTaglineColor'  
        ),
    )
  ),
)));

$wp_customize->add_setting( 'peccular_show_sticky_header',array(
    'default' => false,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
    'label' => __( 'Show Sticky Header','peccular' ),
    'section' => 'peccular_header_section'
)));


$wp_customize->add_setting('peccular_header_style',array(
    'default' => 'On Slider',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_header_style',array(
    'type' => 'select',
    'label' => __('Header Style','peccular'),
    'choices' => array (
        'Above Slider' => __('Above Slider','peccular'),
        'On Slider' => __('On Slider','peccular')
    ),
    'section' => 'peccular_header_section',
));

$wp_customize->add_setting('peccular_header_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_header_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_header_section',
));

$wp_customize->add_setting('peccular_header_image_opacity',array(
    'default' => 1,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_header_image_opacity',array(
    'label' => __('Header Image Opacity','peccular'),
    'section' => 'peccular_header_section',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));

$wp_customize->add_setting('Peccular_header_myaccount',  array('default'=> 'add myaccount page link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('Peccular_header_myaccount',
    array(
        'settings'      => 'Peccular_header_myaccount',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Woocommerce Account Page Url Here', 'ClassicTemplate' )
    )
); 

$wp_customize->add_setting(
    'mailbox',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'info@example.com', 'Premium Theme' )
    )
);
$wp_customize->add_control(
    'mailbox',
    array(
        'settings'      => 'mailbox',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Enter Email Text Here', 'Premium Theme' )
    )
); 
$wp_customize->add_setting(
    'phoneTaglineNumber',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '(+1) 88 700 600', 'Premium Theme' )
    )
);
$wp_customize->add_control(
    'phoneTaglineNumber',
    array(
        'settings'      => 'phoneTaglineNumber',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Enter Phone Text Here', 'Premium Theme' )
    )
);  
$wp_customize->add_setting('peccular_headerslider_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_headerslider_section_lbl',
        array(
            'settings'      => 'peccular_headerslider_section_lbl',
            'section'       => 'peccular_header_section',
            'label'   => __( 'Social Icons', 'peccular Premium' ),
        )
    )
);


// FACEBOOK 
$wp_customize->add_setting('ip_header_facebook',  array('default'=> '//facebook.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ip_header_facebook',
    array(
        'settings'      => 'ip_header_facebook',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Facebook Url Here', 'ClassicTemplate' )
    )
);
// TWITTER
$wp_customize->add_setting('ip_header_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ip_header_twitter',
    array(
        'settings'      => 'ip_header_twitter',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Twitter Url Here', 'ClassicTemplate' )
    )
);
// Instagram
$wp_customize->add_setting('ip_header_instagram', array('default' => 'https://www.instagram.com/', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ip_header_instagram',
    array(
        'settings'      => 'ip_header_instagram',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Instagram Url Here', 'ClassicTemplate' )
    )
);

addColorPalatOption($wp_customize, 'header_stickybgColor', 'peccular_header_section', 'Sticky Header BG Color', '');

addColorPalatOption($wp_customize, 'header_topbgColor', 'peccular_header_section', 'Top Bar BG Color', '');

addColorPalatOption($wp_customize, 'header_bgColorone', 'peccular_header_section', 'Header BG Color 1', '');
addColorPalatOption($wp_customize, 'header_bgColor', 'peccular_header_section', 'Header BG Color 2', '');

addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');


addColorPalatOption($wp_customize, 'header_PhoneemailIconColor', 'peccular_header_section', 'Phone & Email Icon Color', '');
addColorPalatOption($wp_customize, 'header_PhoneemailTextColor', 'peccular_header_section', 'Phone & Email Text Color', '');
addColorPalatOption($wp_customize, 'header_headsocialsColor', 'peccular_header_section', 'Socials Color', '');

addColorPalatOption($wp_customize, 'header_CartIconColor', 'peccular_header_section', 'Cart & Account Icon Color', '');

addColorPalatOption($wp_customize, 'header_CartCountColor', 'peccular_header_section', 'Count Text Color', '');
addColorPalatOption($wp_customize, 'header_CartCountbgColor', 'peccular_header_section', 'Count Text BG Color', '');

?>