<?php  
$wp_customize->add_section(
    'peccular_banner_section',
    array(
        'title' => __( 'About Us Section', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>20
    )
); 
$wp_customize->add_setting('peccular_banner_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));
$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_banner_nav', array(
   'section' => 'peccular_banner_section',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_banner_enable', 
            'peccular_banner_maintitle',
            'peccular_banner_subtitle',
            'peccular_banner_button_display',
            'peccular_bannerbutton',
            'peccular_banner_comletebx_display',
            'peccular_aboutbtnlink'
        ),
         'active' => true,
     ),
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(
            'peccular_banner_section_bg_color',
            'peccular_banner_section_bg_image',
            'peccular_banner_image_opacity',                           
            'peccular_banner_box_onload_effects',
            'peccular_banner_head_align',
            'peccular_banner_title_case',
            'peccular_banner_subtitle_case',
            'peccular_banner_section_b_position',
            'peccular_banner_section_heading_color',
            'peccular_banner_section_content_color',
            'peccular_banner_buttontext_color',
            'peccular_banner_buttontxthv_color',
            'peccular_banner_buttonbrssss_color',
            'peccular_banner_buttonbgbrdr_color',
            'peccular_banner_buttonhover_color',
            'peccular_banner_contentboxbg_color',
            'peccular_banner_section_headingbr_color',
            'peccular_banner_section_headingbrc_color',
            'peccular_banner_contentboxborder_color'
        ),
    ),
      array(
        'name' => esc_html__('Layout', 'peccular-premium'),
        'icon' => 'dashicons dashicons-layout',
        'fields' => array(
            'peccular_banner_padding',
            'peccular_banner_section_t_padding',
            'peccular_banner_section_b_padding',
            'peccular_banner_section_leftborder_height',
            'peccular_banner_section_width'
        ),
    )
  ),
))); 
$wp_customize->add_setting( 'peccular_banner_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_banner_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_banner_section'
)));
// to show & hide another button
$wp_customize->add_setting( 'peccular_banner_comletebx_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_banner_comletebx_display', array( 'label' => 'Content Box Display', 'section' => 'peccular_banner_section', 'settings' => 'peccular_banner_comletebx_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Content Box', 'hide' => 'Hide Content Box', ), ) );
$wp_customize->add_setting(
    'peccular_banner_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Radiant Expertise', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_banner_maintitle',
    array(
        'settings'      => 'peccular_banner_maintitle',
        'section'       => 'peccular_banner_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);
$wp_customize->add_setting(
    'peccular_banner_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_banner_subtitle',
    array(
        'settings'      => 'peccular_banner_subtitle',
        'section'       => 'peccular_banner_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Content', 'peccular' )
    )
);
$wp_customize->add_setting('peccular_banner_padding',array(
  'sanitize_callback'   => 'esc_html'
));
$wp_customize->add_control('peccular_banner_padding',array(
  'label' => __('Section Padding','peccular'),
  'section' => 'peccular_banner_section'
));
$wp_customize->add_setting('peccular_banner_section_t_padding',array(
    'default' => '5',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_banner_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_banner_section',
));
$wp_customize->add_setting('peccular_banner_section_b_padding',array(
    'default' => '5',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_banner_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_banner_section',
));
$wp_customize->add_setting( 'peccular_banner_section_bg_color', array(
   'default' => '',
   'sanitize_callback' => 'sanitize_hex_color'
));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_banner_section_bg_color', array(
    'label' => __('Section Background Color','peccular'),
    'section' => 'peccular_banner_section',
)));
$wp_customize->add_setting( 'peccular_banner_section_bg_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_banner_section_bg_image', array(
    'label' => __('Section Background Image','peccular'),
    'section' => 'peccular_banner_section',
)));
$wp_customize->add_setting('peccular_banner_image_opacity',array(
    'default' => 1,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_banner_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_banner_section',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));
$wp_customize->add_setting('peccular_banner_box_onload_effects',array(
    'default' => 'Bounce In Up',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_banner_box_onload_effects',array(
    'type' => 'select',
    'label' => __('Onload Transition Effects','peccular'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','peccular'),
        'wow bounceInRight' => __('Bounce In Right','peccular'),
        'wow bounceInUp' => __('Bounce In Up','peccular'),
        'wow bounceInDown' => __('Bounce In Down','peccular'),
        'wow zoomIn' => __('Zoom In','peccular'),
        'wow zoomOut' => __('Zoom Out','peccular'),
        'wow fadeInDown' => __('Fade In Down','peccular'),            
        'wow fadeInUp' => __('Fade In Up','peccular'),
        'wow fadeInLeft' => __('Fade In Left','peccular'),
        'wow fadeInRight' => __('Fade In Right','peccular'),
        'flip-up' => __('Flip Up','peccular'),
        'none' => __('None','peccular')
    ),
    'section' => 'peccular_banner_section',
));
// $wp_customize->add_setting('peccular_banner_head_align',array(
//     'default' => 'Left',
//     'sanitize_callback' => 'peccular_sanitize_choices',
// ));
// $wp_customize->add_control('peccular_banner_head_align',array(
//     'type' => 'select',
//     'label' => __('Section Content Alignment','peccular'),
//     'choices' => array (
//         'Center' => __('Center','peccular'),
//         'Left' => __('Left','peccular'),
//         'Right' => __('Right','peccular')
//     ),
//     'section' => 'peccular_banner_section',
// )); 
$wp_customize->add_setting('peccular_banner_title_case',array(
    'default' => 'Capitalize',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_banner_title_case',array(
    'type' => 'select',
    'label' => __('Section Heading Case','peccular'),
    'choices' => array (
        'Uppercase' => __('Uppercase','peccular'),
        'Lowercase' => __('Lowercase','peccular'),
        'Capitalize' => __('Capitalize','peccular'),
        'None' => __('None','peccular')
    ),
    'section' => 'peccular_banner_section',
));
$wp_customize->add_setting('peccular_banner_subtitle_case',array(
    'default' => 'None',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_banner_subtitle_case',array(
    'type' => 'select',
    'label' => __('Section Content Case','peccular'),
    'choices' => array (
        'None' => __('None','peccular'),
        'Uppercase' => __('Uppercase','peccular'),
        'Lowercase' => __('Lowercase','peccular'),
        'Capitalize' => __('Capitalize','peccular')
    ),
    'section' => 'peccular_banner_section',
));
$wp_customize->add_setting('peccular_banner_section_width',array(
    'default' => 'Full Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_banner_section_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_banner_section',
));

// $wp_customize->add_setting('peccular_banner_section_b_position',array(
//     'default' => '0',
//     'sanitize_callback' => 'sanitize_text_field'
// ));
// $wp_customize->add_control('peccular_banner_section_b_position',array(
//     'type' => 'number',
//     'label' => __('Heading Border Position From Left','peccular'),
//     'section' => 'peccular_banner_section',
// ));
addColorPalatOption($wp_customize, 'peccular_banner_section_heading_color', 'peccular_banner_section', 'Section Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_section_headingbr_color', 'peccular_banner_section', 'Section Sub Heading Color', '');
//addColorPalatOption($wp_customize, 'peccular_banner_section_headingbrc_color', 'peccular_banner_section', 'Section Heading Border Color 2', '');
addColorPalatOption($wp_customize, 'peccular_banner_section_content_color', 'peccular_banner_section', 'Section Content Color', '');

addColorPalatOption($wp_customize, 'peccular_banner_buttontext_color', 'peccular_banner_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_buttontxthv_color', 'peccular_banner_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_buttonbgbrdr_color', 'peccular_banner_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_buttonhover_color', 'peccular_banner_section', 'Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_buttonbrssss_color', 'peccular_banner_section', 'Button Border Color', '');

addColorPalatOption($wp_customize, 'peccular_banner_contentboxbg_color', 'peccular_banner_section', 'Content Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_banner_contentboxborder_color', 'peccular_banner_section', 'Content Box Border Color', '');
// to show & hide another button
$wp_customize->add_setting( 'peccular_banner_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_banner_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_banner_section', 'settings' => 'peccular_banner_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
$wp_customize->add_setting(
    'peccular_bannerbutton',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Read more' )
    )
);
$wp_customize->add_control(
    'peccular_bannerbutton',
    array(
        'settings'      => 'peccular_bannerbutton',
        'section'       => 'peccular_banner_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting('peccular_aboutbtnlink',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_aboutbtnlink',
    array(
        'settings'      => 'peccular_aboutbtnlink',
        'section'       => 'peccular_banner_section',
        'type'          => 'url',
        'label'         => __( 'Button Link', 'peccular-premium' )
    )
);
$wp_customize->add_setting('peccular_banner_section_leftborder_height',array(
    'default' => '84',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_banner_section_leftborder_height',array(
    'type' => 'number',
    'label' => __('Set Left Border Height','peccular'),
    'section' => 'peccular_banner_section',
));
?>