<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;
?>


   <?php
   $shippinglink = get_theme_mod('shippinglink', '');
   $shippingtext = get_theme_mod('shippingtext', 'Shipping & Return');
   $shippingtext2 = get_theme_mod('shippingtext2', 'Delivers in: 3-7 Working days');
   $shippingtext3 = get_theme_mod('shippingtext3', 'Free worldwide shipping on all orders over $100');

   ?> 
 <?php if($shippingtext3 || $shippingtext3){ ?>
   <div class="row shipp-ico-box">
    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 shipp-ico">
        <i class="fa fa-truck" aria-hidden="true"></i>
    </div>
    <div class="col-xl-11 col-lg-11 col-md-11 col-sm-11 shipping-txt">
     <?php echo $shippingtext3 ?>
 </div>
</div>
<?php } ?> 

 <?php if($shippingtext2 || $shippingtext){ ?>
<div class="row shipp-ico-box2">
    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-1 shipp-ico">
     <i class="fa fa-gift" aria-hidden="true"></i>
 </div>
 <div class="col-xl-11 col-lg-11 col-md-11 col-sm-11 shipping-txt">

    <?php echo $shippingtext2 ?><a href="<?php echo $shippinglink ?>">&nbsp;<?php echo $shippingtext ?></a>
</div>
</div>
<?php } ?> 

<div class="product_meta">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>


<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

<span class="sku_wrapper"><?php esc_html_e( 'SKU:', 'woocommerce' ); ?> <span class="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'woocommerce' ); ?></span></span>

<?php endif; ?>
<div class="clearfix"></div>



<span>Categories:</span>

<?php echo wc_get_product_category_list( $product->get_id(), ', ', '<span class="posted_in">' . _n( '', '', count( $product->get_category_ids() ), 'woocommerce' ) . ' ', '</span>' ); ?>

<?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<span class="tagged_as">' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'woocommerce' ) . ' ', '</span>' ); ?>
<div class="s-product-p-sociallinks">
   <div class="row">
     
    <div class="col-md-12">
        <ul>
            <li>Share :</li>
            <li><a href="//www.facebook.com/" title="Facebook" target="_blank"><i class="fa fa-facebook"></i></a></li>

            <li><a href="//www.twitter.com/" title="Twitter" target="_blank"><i class="fa fa-twitter"></i></a></li>
            
            <li><a href="https://www.instagram.com/" title="Instagram"  target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>                                             
            
            
        </ul>
    </div>
    <div class="clearfix"></div>
</div>
</div>
<?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>
